<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="GridRecord" targetNamespace="http://tempuri.org/GridRecord.xsd" xmlns:mstns="http://tempuri.org/GridRecord.xsd" xmlns="http://tempuri.org/GridRecord.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="GridRecord" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="GridRecord" msprop:Generator_UserDSName="GridRecord">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="GridRecord" msprop:Generator_TableClassName="GridRecordDataTable" msprop:Generator_TableVarName="tableGridRecord" msprop:Generator_TablePropName="_GridRecord" msprop:Generator_RowDeletingName="GridRecordRowDeleting" msprop:Generator_UserTableName="GridRecord" msprop:Generator_RowChangingName="GridRecordRowChanging" msprop:Generator_RowEvHandlerName="GridRecordRowChangeEventHandler" msprop:Generator_RowDeletedName="GridRecordRowDeleted" msprop:Generator_RowEvArgName="GridRecordRowChangeEvent" msprop:Generator_RowChangedName="GridRecordRowChanged" msprop:Generator_RowClassName="GridRecordRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Row" msprop:Generator_ColumnVarNameInTable="columnRow" msprop:Generator_ColumnPropNameInRow="Row" msprop:Generator_ColumnPropNameInTable="RowColumn" msprop:Generator_UserColumnName="Row" type="xs:string" minOccurs="0" />
              <xs:element name="Head" msprop:Generator_ColumnVarNameInTable="columnHead" msprop:Generator_ColumnPropNameInRow="Head" msprop:Generator_ColumnPropNameInTable="HeadColumn" msprop:Generator_UserColumnName="Head" type="xs:string" minOccurs="0" />
              <xs:element name="HeadC" msprop:Generator_ColumnVarNameInTable="columnHeadC" msprop:Generator_ColumnPropNameInRow="HeadC" msprop:Generator_ColumnPropNameInTable="HeadCColumn" msprop:Generator_UserColumnName="HeadC" type="xs:string" minOccurs="0" />
              <xs:element name="HeadType" msprop:Generator_ColumnVarNameInTable="columnHeadType" msprop:Generator_ColumnPropNameInRow="HeadType" msprop:Generator_ColumnPropNameInTable="HeadTypeColumn" msprop:Generator_UserColumnName="HeadType" type="xs:string" minOccurs="0" />
              <xs:element name="Checked" msprop:Generator_ColumnVarNameInTable="columnChecked" msprop:Generator_ColumnPropNameInRow="Checked" msprop:Generator_ColumnPropNameInTable="CheckedColumn" msprop:Generator_UserColumnName="Checked" type="xs:string" minOccurs="0" />
              <xs:element name="Owner" msprop:Generator_ColumnVarNameInTable="columnOwner" msprop:Generator_ColumnPropNameInRow="Owner" msprop:Generator_ColumnPropNameInTable="OwnerColumn" msprop:Generator_UserColumnName="Owner" type="xs:string" minOccurs="0" />
              <xs:element name="OwnerU" msprop:Generator_ColumnVarNameInTable="columnOwnerU" msprop:Generator_ColumnPropNameInRow="OwnerU" msprop:Generator_ColumnPropNameInTable="OwnerUColumn" msprop:Generator_UserColumnName="OwnerU" type="xs:string" minOccurs="0" />
              <xs:element name="Table" msprop:Generator_ColumnVarNameInTable="columnTable" msprop:Generator_ColumnPropNameInRow="_Table" msprop:Generator_ColumnPropNameInTable="TableColumn" msprop:Generator_UserColumnName="Table" type="xs:string" minOccurs="0" />
              <xs:element name="TableU" msprop:Generator_ColumnVarNameInTable="columnTableU" msprop:Generator_ColumnPropNameInRow="TableU" msprop:Generator_ColumnPropNameInTable="TableUColumn" msprop:Generator_UserColumnName="TableU" type="xs:string" minOccurs="0" />
              <xs:element name="Field" msprop:Generator_ColumnVarNameInTable="columnField" msprop:Generator_ColumnPropNameInRow="Field" msprop:Generator_ColumnPropNameInTable="FieldColumn" msprop:Generator_UserColumnName="Field" type="xs:string" minOccurs="0" />
              <xs:element name="FieldC" msprop:Generator_ColumnVarNameInTable="columnFieldC" msprop:Generator_ColumnPropNameInRow="FieldC" msprop:Generator_ColumnPropNameInTable="FieldCColumn" msprop:Generator_UserColumnName="FieldC" type="xs:string" minOccurs="0" />
              <xs:element name="FieldU" msprop:Generator_ColumnVarNameInTable="columnFieldU" msprop:Generator_ColumnPropNameInRow="FieldU" msprop:Generator_ColumnPropNameInTable="FieldUColumn" msprop:Generator_UserColumnName="FieldU" type="xs:string" minOccurs="0" />
              <xs:element name="FieldType" msprop:Generator_ColumnVarNameInTable="columnFieldType" msprop:Generator_ColumnPropNameInRow="FieldType" msprop:Generator_ColumnPropNameInTable="FieldTypeColumn" msprop:Generator_UserColumnName="FieldType" type="xs:string" minOccurs="0" />
              <xs:element name="Length" msprop:Generator_ColumnVarNameInTable="columnLength" msprop:Generator_ColumnPropNameInRow="Length" msprop:Generator_ColumnPropNameInTable="LengthColumn" msprop:Generator_UserColumnName="Length" type="xs:string" minOccurs="0" />
              <xs:element name="Description" msprop:Generator_ColumnVarNameInTable="columnDescription" msprop:Generator_ColumnPropNameInRow="Description" msprop:Generator_ColumnPropNameInTable="DescriptionColumn" msprop:Generator_UserColumnName="Description" type="xs:string" minOccurs="0" />
              <xs:element name="IsNull" msprop:Generator_ColumnVarNameInTable="columnIsNull" msprop:Generator_ColumnPropNameInRow="IsNull" msprop:Generator_ColumnPropNameInTable="IsNullColumn" msprop:Generator_UserColumnName="IsNull" type="xs:string" minOccurs="0" />
              <xs:element name="IsIdentity" msprop:Generator_ColumnVarNameInTable="columnIsIdentity" msprop:Generator_ColumnPropNameInRow="IsIdentity" msprop:Generator_ColumnPropNameInTable="IsIdentityColumn" msprop:Generator_UserColumnName="IsIdentity" type="xs:string" minOccurs="0" />
              <xs:element name="PKey" msprop:Generator_ColumnVarNameInTable="columnPKey" msprop:Generator_ColumnPropNameInRow="PKey" msprop:Generator_ColumnPropNameInTable="PKeyColumn" msprop:Generator_UserColumnName="PKey" type="xs:string" minOccurs="0" />
              <xs:element name="FKey" msprop:Generator_ColumnVarNameInTable="columnFKey" msprop:Generator_ColumnPropNameInRow="FKey" msprop:Generator_ColumnPropNameInTable="FKeyColumn" msprop:Generator_UserColumnName="FKey" type="xs:string" minOccurs="0" />
              <xs:element name="ROwner" msprop:Generator_ColumnVarNameInTable="columnROwner" msprop:Generator_ColumnPropNameInRow="ROwner" msprop:Generator_ColumnPropNameInTable="ROwnerColumn" msprop:Generator_UserColumnName="ROwner" type="xs:string" minOccurs="0" />
              <xs:element name="RTable" msprop:Generator_ColumnVarNameInTable="columnRTable" msprop:Generator_ColumnPropNameInRow="RTable" msprop:Generator_ColumnPropNameInTable="RTableColumn" msprop:Generator_UserColumnName="RTable" type="xs:string" minOccurs="0" />
              <xs:element name="RField" msprop:Generator_ColumnVarNameInTable="columnRField" msprop:Generator_ColumnPropNameInRow="RField" msprop:Generator_ColumnPropNameInTable="RFieldColumn" msprop:Generator_UserColumnName="RField" type="xs:string" minOccurs="0" />
              <xs:element name="RFieldType" msprop:Generator_ColumnVarNameInTable="columnRFieldType" msprop:Generator_ColumnPropNameInRow="RFieldType" msprop:Generator_ColumnPropNameInTable="RFieldTypeColumn" msprop:Generator_UserColumnName="RFieldType" type="xs:string" minOccurs="0" />
              <xs:element name="RDisplayField" msprop:Generator_ColumnVarNameInTable="columnRDisplayField" msprop:Generator_ColumnPropNameInRow="RDisplayField" msprop:Generator_ColumnPropNameInTable="RDisplayFieldColumn" msprop:Generator_UserColumnName="RDisplayField" type="xs:string" minOccurs="0" />
              <xs:element name="RDisplayFieldType" msprop:Generator_ColumnVarNameInTable="columnRDisplayFieldType" msprop:Generator_ColumnPropNameInRow="RDisplayFieldType" msprop:Generator_ColumnPropNameInTable="RDisplayFieldTypeColumn" msprop:Generator_UserColumnName="RDisplayFieldType" type="xs:string" minOccurs="0" />
              <xs:element name="RDisplayFieldLength" msprop:Generator_ColumnVarNameInTable="columnRDisplayFieldLength" msprop:Generator_ColumnPropNameInRow="RDisplayFieldLength" msprop:Generator_ColumnPropNameInTable="RDisplayFieldLengthColumn" msprop:Generator_UserColumnName="RDisplayFieldLength" type="xs:string" minOccurs="0" />
              <xs:element name="ControlD" msprop:Generator_ColumnVarNameInTable="columnControlD" msprop:Generator_ColumnPropNameInRow="ControlD" msprop:Generator_ColumnPropNameInTable="ControlDColumn" msprop:Generator_UserColumnName="ControlD" type="xs:string" minOccurs="0" />
              <xs:element name="Control" msprop:Generator_ColumnVarNameInTable="columnControl" msprop:Generator_ColumnPropNameInRow="Control" msprop:Generator_ColumnPropNameInTable="ControlColumn" msprop:Generator_UserColumnName="Control" type="xs:string" minOccurs="0" />
              <xs:element name="MiscTag" msprop:Generator_ColumnVarNameInTable="columnMiscTag" msprop:Generator_ColumnPropNameInRow="MiscTag" msprop:Generator_ColumnPropNameInTable="MiscTagColumn" msprop:Generator_UserColumnName="MiscTag" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>